Bug 1429272 - Re-Review Request: zanata-platform - Zanata the web-based translation platform
Summary: Re-Review Request: zanata-platform - Zanata the web-based translation platform
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-06 01:07 UTC by Ding-Yi Chen
Modified: 2017-04-01 16:53 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-17 18:51:07 UTC
pahuang: fedora-review+


Attachments (Terms of Use)

Description Ding-Yi Chen 2017-03-06 01:07:49 UTC
Spec URL: https://dchen.fedorapeople.org/files/rpms/zanata-platform.spec
SRPM URL: https://dchen.fedorapeople.org/files/rpms/zanata-platform-4.1.1-1.fc25.src.rpm
Description: Zanata is a web-based system for translators to translate documentation and software online using a web-browser. The Fedora package contains the command line client so far.

Fedora Account System Username: dchen

This is the re-review of following packages:
 zanata-parent (RHBZ #916023)
 zanata-api    (RHBZ #924513)
 zanata-common (RHBZ #958006)
 zanata-client (RHBZ #962256)

The upstream merge them into zanata-platform, thus I submit this review request

Comment 1 Patrick Huang 2017-03-06 05:46:22 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======
- Javadoc subpackages should not have Requires: jpackage-utils
  Note: jpackage-utils requires are automatically generated by the
  buildsystem
  See: https://fedoraproject.org/wiki/Packaging:Java
- Bundled jar/class files should be removed before build
  Note: Jar files in source (see attachment)
  See: http://fedoraproject.org/wiki/Packaging:Java#Pre-
  built_JAR_files_.2F_Other_bundled_software'


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v2.1 or later)", "*No copyright* Apache
     (v2.0)", "Unknown or generated", "*No copyright* LGPL (v2.1 or
     later)". 1255 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/1429272-zanata-
     platform/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[ ]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zanata-
     platform-javadoc , zanata-client
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[?]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: zanata-platform-4.1.1-1.fc27.noarch.rpm
          zanata-platform-javadoc-4.1.1-1.fc27.noarch.rpm
          zanata-client-4.1.1-1.fc27.noarch.rpm
          zanata-platform-4.1.1-1.fc27.src.rpm
zanata-platform.noarch: W: no-manual-page-for-binary zanata-cli
zanata-platform-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/zanata-platform/javadoc.sh
zanata-platform.src:158: W: macro-in-comment %pom_xpath_remove
zanata-platform.src:204: W: macro-in-comment %pom_remove_dep
zanata-platform.src:229: W: macro-in-comment %pom_remove_dep
zanata-platform.src:244: W: macro-in-comment %pom_remove_dep
zanata-platform.src:295: W: macro-in-comment %{buildroot}
zanata-platform.src:295: W: macro-in-comment %{_javadocdir}
zanata-platform.src:295: W: macro-in-comment %{name}
zanata-platform.src:309: W: macro-in-comment %dir
zanata-platform.src:309: W: macro-in-comment %{_javadir}
zanata-platform.src:309: W: macro-in-comment %{name}
4 packages and 0 specfiles checked; 1 errors, 11 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
zanata-platform.noarch: W: no-manual-page-for-binary zanata-cli
zanata-platform-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
zanata-platform-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/zanata-platform/javadoc.sh
3 packages and 0 specfiles checked; 1 errors, 2 warnings.



Diff spec file in url and in SRPM
---------------------------------
--- /home/reviewer/1429272-zanata-platform/srpm/zanata-platform.spec	2017-03-06 05:11:58.706547147 +0000
+++ /home/reviewer/1429272-zanata-platform/srpm-unpacked/zanata-platform.spec	2017-03-03 04:55:06.000000000 +0000
@@ -239,5 +239,4 @@
 
 ## cli
-## We do not need assembly to tar ball
 %pom_remove_plugin :appassembler-maven-plugin client/zanata-cli
 %pom_remove_plugin :maven-assembly-plugin client/zanata-cli


Requires
--------
zanata-platform (rpmlib, GLIBC filtered):
    /bin/bash
    apache-commons-csv
    args4j
    java-headless
    javapackages-tools
    jgettext
    mvn(args4j:args4j)
    mvn(com.google.guava:guava)
    mvn(com.io7m.xom:xom)
    mvn(com.webcohesion.enunciate:enunciate-core-annotations)
    mvn(commons-codec:commons-codec)
    mvn(commons-io:commons-io)
    mvn(javax.validation:validation-api)
    mvn(javax.xml.bind:jaxb-api)
    mvn(javax.xml.stream:stax-api)
    mvn(org.apache.commons:commons-csv)
    mvn(org.apache.commons:commons-exec)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.fedorahosted.openprops:openprops)
    mvn(org.fedorahosted.tennera:jgettext)
    mvn(org.glassfish.jaxb:txw2)
    mvn(org.hibernate:hibernate-validator)
    mvn(org.jboss.resteasy:resteasy-multipart-provider)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.zanata:zanata-client-commands)
    openprops
    xom

zanata-client (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(args4j:args4j)
    mvn(com.google.guava:guava)
    mvn(commons-beanutils:commons-beanutils)
    mvn(commons-codec:commons-codec)
    mvn(commons-configuration:commons-configuration)
    mvn(commons-io:commons-io)
    mvn(javax.xml.bind:jaxb-api)
    mvn(joda-time:joda-time)
    mvn(log4j:log4j:1.2.17)
    mvn(org.apache.ant:ant)
    mvn(org.apache.commons:commons-csv)
    mvn(org.apache.commons:commons-exec)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.apache.maven:maven-artifact)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.fedorahosted.openprops:openprops)
    mvn(org.fusesource.jansi:jansi)
    mvn(org.jboss.resteasy:resteasy-client)
    mvn(org.jboss.resteasy:resteasy-jackson-provider)
    mvn(org.jboss.resteasy:resteasy-jaxb-provider)
    mvn(org.jboss.resteasy:resteasy-multipart-provider)
    mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.zanata:zanata-adapter-glossary)
    mvn(org.zanata:zanata-adapter-po)
    mvn(org.zanata:zanata-adapter-properties)
    mvn(org.zanata:zanata-adapter-xliff)
    mvn(org.zanata:zanata-common-api)
    mvn(org.zanata:zanata-common-util)
    zanata-platform

zanata-platform-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools
    jpackage-utils
    zanata-platform



Provides
--------
zanata-platform:
    mvn(org.zanata:api:pom:)
    mvn(org.zanata:build-tools:pom:)
    mvn(org.zanata:client:pom:)
    mvn(org.zanata:common:pom:)
    mvn(org.zanata:parent:pom:)
    mvn(org.zanata:zanata-adapter-glossary)
    mvn(org.zanata:zanata-adapter-glossary:pom:)
    mvn(org.zanata:zanata-adapter-po)
    mvn(org.zanata:zanata-adapter-po:pom:)
    mvn(org.zanata:zanata-adapter-properties)
    mvn(org.zanata:zanata-adapter-properties:pom:)
    mvn(org.zanata:zanata-adapter-xliff)
    mvn(org.zanata:zanata-adapter-xliff:pom:)
    mvn(org.zanata:zanata-cli)
    mvn(org.zanata:zanata-cli:pom:)
    mvn(org.zanata:zanata-common-api)
    mvn(org.zanata:zanata-common-api:pom:)
    mvn(org.zanata:zanata-common-util)
    mvn(org.zanata:zanata-common-util:pom:)
    mvn(org.zanata:zanata-platform:pom:)
    zanata-api
    zanata-common
    zanata-parent
    zanata-platform

zanata-client:
    mvn(org.zanata:zanata-client-commands)
    mvn(org.zanata:zanata-client-commands:pom:)
    mvn(org.zanata:zanata-rest-client)
    mvn(org.zanata:zanata-rest-client:pom:)
    zanata-client

zanata-platform-javadoc:
    zanata-api-javadoc
    zanata-client-javadoc
    zanata-common-javadoc
    zanata-platform-javadoc



Source checksums
----------------
https://github.com/zanata/zanata-platform/archive/platform-4.1.1.zip :
  CHECKSUM(SHA256) this package     : 8c25e951e4219a35a055131277acf2219268e2414e20df18a01324b7b9d0c233
  CHECKSUM(SHA256) upstream package : 8c25e951e4219a35a055131277acf2219268e2414e20df18a01324b7b9d0c233


Jar and class files in source
-----------------------------
./zanata-platform-platform-4.1.1/.mvn/wrapper/maven-wrapper.jar
./zanata-platform-platform-4.1.1/parent/intellij-code-style-settings.jar


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1429272 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Patrick Huang 2017-03-07 03:34:24 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "LGPL (v2.1 or later)", "*No copyright* Apache
     (v2.0)", "Unknown or generated", "*No copyright* LGPL (v2.1 or
     later)". 1255 files have unknown license. Detailed output of
     licensecheck in /home/reviewer/1429272-zanata-
     platform/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 143360 bytes in 6 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in zanata-
     platform-javadoc , zanata-client
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: zanata-platform-4.1.1-2.fc27.noarch.rpm
          zanata-platform-javadoc-4.1.1-2.fc27.noarch.rpm
          zanata-client-4.1.1-2.fc27.noarch.rpm
          zanata-platform-4.1.1-2.fc27.src.rpm
zanata-platform.noarch: W: no-manual-page-for-binary zanata-cli
4 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
zanata-platform.noarch: W: no-manual-page-for-binary zanata-cli
zanata-platform-javadoc.noarch: W: spelling-error Summary(en_US) Javadocs -> Java docs, Java-docs, Avocados
3 packages and 0 specfiles checked; 0 errors, 2 warnings.



Requires
--------
zanata-platform (rpmlib, GLIBC filtered):
    /bin/bash
    apache-commons-csv
    args4j
    java-headless
    javapackages-tools
    jgettext
    mvn(args4j:args4j)
    mvn(com.google.guava:guava)
    mvn(com.io7m.xom:xom)
    mvn(com.webcohesion.enunciate:enunciate-core-annotations)
    mvn(commons-codec:commons-codec)
    mvn(commons-io:commons-io)
    mvn(javax.validation:validation-api)
    mvn(javax.xml.bind:jaxb-api)
    mvn(javax.xml.stream:stax-api)
    mvn(org.apache.commons:commons-csv)
    mvn(org.apache.commons:commons-exec)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.fedorahosted.openprops:openprops)
    mvn(org.fedorahosted.tennera:jgettext)
    mvn(org.glassfish.jaxb:txw2)
    mvn(org.hibernate:hibernate-validator)
    mvn(org.jboss.resteasy:resteasy-multipart-provider)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.slf4j:slf4j-log4j12)
    mvn(org.zanata:zanata-client-commands)
    openprops
    xom

zanata-client (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(args4j:args4j)
    mvn(com.google.guava:guava)
    mvn(commons-beanutils:commons-beanutils)
    mvn(commons-codec:commons-codec)
    mvn(commons-configuration:commons-configuration)
    mvn(commons-io:commons-io)
    mvn(javax.xml.bind:jaxb-api)
    mvn(joda-time:joda-time)
    mvn(log4j:log4j:1.2.17)
    mvn(org.apache.ant:ant)
    mvn(org.apache.commons:commons-csv)
    mvn(org.apache.commons:commons-exec)
    mvn(org.apache.commons:commons-lang3)
    mvn(org.apache.maven:maven-artifact)
    mvn(org.codehaus.jackson:jackson-core-asl)
    mvn(org.codehaus.jackson:jackson-jaxrs)
    mvn(org.codehaus.jackson:jackson-mapper-asl)
    mvn(org.codehaus.jackson:jackson-xc)
    mvn(org.fedorahosted.openprops:openprops)
    mvn(org.fusesource.jansi:jansi)
    mvn(org.jboss.resteasy:resteasy-client)
    mvn(org.jboss.resteasy:resteasy-jackson-provider)
    mvn(org.jboss.resteasy:resteasy-jaxb-provider)
    mvn(org.jboss.resteasy:resteasy-multipart-provider)
    mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
    mvn(org.slf4j:jcl-over-slf4j)
    mvn(org.slf4j:slf4j-api)
    mvn(org.zanata:zanata-adapter-glossary)
    mvn(org.zanata:zanata-adapter-po)
    mvn(org.zanata:zanata-adapter-properties)
    mvn(org.zanata:zanata-adapter-xliff)
    mvn(org.zanata:zanata-common-api)
    mvn(org.zanata:zanata-common-util)
    zanata-platform

zanata-platform-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools
    zanata-platform



Provides
--------
zanata-platform:
    mvn(org.zanata:api:pom:)
    mvn(org.zanata:build-tools:pom:)
    mvn(org.zanata:client:pom:)
    mvn(org.zanata:common:pom:)
    mvn(org.zanata:parent:pom:)
    mvn(org.zanata:zanata-adapter-glossary)
    mvn(org.zanata:zanata-adapter-glossary:pom:)
    mvn(org.zanata:zanata-adapter-po)
    mvn(org.zanata:zanata-adapter-po:pom:)
    mvn(org.zanata:zanata-adapter-properties)
    mvn(org.zanata:zanata-adapter-properties:pom:)
    mvn(org.zanata:zanata-adapter-xliff)
    mvn(org.zanata:zanata-adapter-xliff:pom:)
    mvn(org.zanata:zanata-cli)
    mvn(org.zanata:zanata-cli:pom:)
    mvn(org.zanata:zanata-common-api)
    mvn(org.zanata:zanata-common-api:pom:)
    mvn(org.zanata:zanata-common-util)
    mvn(org.zanata:zanata-common-util:pom:)
    mvn(org.zanata:zanata-platform:pom:)
    zanata-api
    zanata-common
    zanata-parent
    zanata-platform

zanata-client:
    mvn(org.zanata:zanata-client-commands)
    mvn(org.zanata:zanata-client-commands:pom:)
    mvn(org.zanata:zanata-rest-client)
    mvn(org.zanata:zanata-rest-client:pom:)
    zanata-client

zanata-platform-javadoc:
    zanata-api-javadoc
    zanata-client-javadoc
    zanata-common-javadoc
    zanata-platform-javadoc



Source checksums
----------------
https://github.com/zanata/zanata-platform/archive/platform-4.1.1.zip :
  CHECKSUM(SHA256) this package     : 8c25e951e4219a35a055131277acf2219268e2414e20df18a01324b7b9d0c233
  CHECKSUM(SHA256) upstream package : 8c25e951e4219a35a055131277acf2219268e2414e20df18a01324b7b9d0c233


Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -b 1429272 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Gwyn Ciesla 2017-03-08 15:22:26 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/zanata-platform

Comment 5 Fedora Update System 2017-03-09 04:15:34 UTC
zanata-platform-4.1.1-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1981e2d1af

Comment 6 Fedora Update System 2017-03-09 04:15:41 UTC
zanata-platform-4.1.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-91b890323f

Comment 7 Fedora Update System 2017-03-09 14:58:53 UTC
zanata-platform-4.1.1-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1981e2d1af

Comment 8 Fedora Update System 2017-03-10 23:23:06 UTC
zanata-platform-4.1.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-91b890323f

Comment 9 Fedora Update System 2017-03-17 18:51:07 UTC
zanata-platform-4.1.1-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2017-04-01 16:53:13 UTC
zanata-platform-4.1.1-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.